// Structure for material coefficients
struct MaterialType {
	GLfloat ambient[4];
	GLfloat diffuse[4];
	GLfloat specular[4];
	GLfloat shininess;
};

// Material properties for brass
MaterialType brass = {{0.33f,0.22f,0.03f,1.0f},
                      {0.78f,0.57f,0.11f,1.0f},
                      {0.99f,0.91f,0.81f,1.0f},
                       27.8f};

// Material properties for red plastic
MaterialType red_plastic = {{0.3f,0.0f,0.0f,1.0f},
                            {0.6f,0.0f,0.0f,1.0f},
                            {0.8f,0.6f,0.6f,1.0f},
                             32.0f};

// Material properties for white plastic
MaterialType white_plastic = {{1.0f,1.0f,1.0f,1.0f},
                            {1.0f,1.0f,1.0f,1.0f},
                            {1.0f,1.0f,1.0f,1.0f},
                             32.0f};

// Material properties for transluscent red acrylic
MaterialType red_acrylic = {{0.3,0.0,0.0,0.3},
						{0.6,0.0,0.0,0.3},
						{0.8,0.6,0.6,0.3},
						32.0};						

// Utility function to set a material
void set_material(GLenum face, MaterialType *material)
{
	glMaterialfv(face,GL_AMBIENT,material->ambient);
	glMaterialfv(face,GL_DIFFUSE,material->diffuse);
	glMaterialfv(face,GL_SPECULAR,material->specular);
	glMaterialf(face,GL_SHININESS,material->shininess);
}